Bug 444446 - Plasma shell crashes when switching appearance
Summary: Plasma shell crashes when switching appearance
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: server (show other bugs)
Version: unspecified
Platform: Arch Linux Linux
: NOR crash
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2021-10-26 19:15 UTC by Ivan Sosnov
Modified: 2023-04-27 19:28 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (1.95 KB, text/plain)
2021-12-19 16:01 UTC, Rime Ian
Details
New crash information added by DrKonqi (1.78 KB, text/plain)
2022-01-03 21:00 UTC, Magnus Anderson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Sosnov 2021-10-26 19:15:34 UTC
Application: akonadiserver (5.18.2 (21.08.2))

Qt Version: 5.15.2
Frameworks Version: 5.88.0
Operating System: Linux 5.14.14-zen1-1-zen x86_64
Windowing System: Wayland
Distribution: "Arch Linux"
DrKonqi: 5.23.2 [KCrashBackend]

-- Information about the crash:
- What I was doing when the application crashed:
Switching appearance settings within the settings app. Crash happens every time, not depending on which theme is used or which subsetting is changed

- Unusual behavior I noticed:
Session crashes completely, and reloads from scratch

The crash can be reproduced every time.

-- Backtrace:
Application: Akonadi Server (akonadiserver), signal: Segmentation fault

[KCrash Handler]
#4  0x0000560f0b7db754 in ?? ()
#5  0x00007f5d8d63154f in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#6  0x00007f5d8d6043c8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#7  0x00007f5d8d6074f9 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQt5Core.so.5
#8  0x00007f5d8d65d9f4 in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007f5d8b88f4dc in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#10 0x00007f5d8b8e3749 in ?? () from /usr/lib/libglib-2.0.so.0
#11 0x00007f5d8b88cbc1 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#12 0x00007f5d8d65d026 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#13 0x00007f5d8d602d6c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#14 0x00007f5d8d60b2d4 in QCoreApplication::exec() () from /usr/lib/libQt5Core.so.5
#15 0x0000560f0b7d865f in ?? ()
#16 0x00007f5d8cf75b25 in __libc_start_main () from /usr/lib/libc.so.6
#17 0x0000560f0b7db1fe in ?? ()
[Inferior 1 (process 2109) detached]

Possible duplicates by query: bug 444421, bug 444411, bug 444315, bug 444002, bug 443954.

Reported using DrKonqi
Comment 1 Rime Ian 2021-12-19 16:01:05 UTC
Created attachment 144685 [details]
New crash information added by DrKonqi

akonadiserver (5.19.0 (21.12.0)) using Qt 5.15.2

- What I was doing when the application crashed:
Opening up the settings app. Before the crash happened a vulkan instance has been created through the information center.

- Unusual behavior I noticed:
Session crashed completely, and will reload from scratch

The crash happens randomly.

- Custom settings of the application:

-- Backtrace (Reduced):
#5  0x00007fdae4b3f56f in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#6  0x00007fdae4b123e8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#7  0x00007fdae4b15519 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQt5Core.so.5
[...]
#12 0x00007fdae4b6b046 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#13 0x00007fdae4b10d8c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
Comment 2 Magnus Anderson 2022-01-03 21:00:45 UTC
Created attachment 145093 [details]
New crash information added by DrKonqi

akonadiserver (5.19.0 (21.12.0)) using Qt 5.15.2

- What I was doing when the application crashed:

Watching a video in Firefox in fullscreen mode, pressed Ctrl+T to open a new tab.

-- Backtrace (Reduced):
#5  0x00007fe359dfc506 in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#6  0x00007fe359dd887e in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#7  0x00007fe359dd9399 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQt5Core.so.5
[...]
#12 0x00007fe359e23a8a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#13 0x00007fe359dd0a9b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
Comment 3 Magnus Anderson 2022-01-03 21:02:16 UTC
Not reproducible
Comment 4 Carl Schwan 2023-04-27 19:28:05 UTC
This is an issue with plasma and not akonadi. The issue itself got fixed 1 or 2 years ago so closing